Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics
Class CrossTabulation

    java.lang.Object
      org.statcato.statistics.CrossTabulation

    public class CrossTabulation

extends java.lang.Object

Cross Tabulation Class. Computes the frequency of each multidimensional category.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`CrossTabulation(java.util.Vector<java.util.Vector<Cell>> values, java.util.Vector<java.lang.String> dimensions)` Constructor.

Method Summary
`java.lang.String` | `getTable(java.util.Vector<java.lang.String> rows, java.util.Vector<java.lang.String> columns)` Returns a HTML-formatted string representing a cross-tabulation to the given row dimensions and column dimensions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrossTabulation

    public CrossTabulation(java.util.Vector<java.util.Vector<Cell>> values,
                           java.util.Vector<java.lang.String> dimensions)

  Constructor.

  Parameters:
    `values` - a vector containing a set of Cell-value vectors, each of which represent a dimension (the order of the dimensions are the same as the given vector of dimension names
    `dimensions` - a vector of the names of the dimensions

Method Detail

### getTable

    public java.lang.String getTable(java.util.Vector<java.lang.String> rows,
                                     java.util.Vector<java.lang.String> columns)

  Returns a HTML-formatted string representing a cross-tabulation to the given row dimensions and column dimensions.

  Parameters:
    `rows` - a vector of row dimension names
    `columns` - a vector of column dimension names
  Returns:
    HTML-formatted string representating the cross tabulation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD